/*
Theme Name:		 OceanWP Child
Theme URI:		 https://stonisol.fr
Description:	 thême créé pour Stonisol
Author:			 Mimosa
Author URI:		 https://mimosacom.com/
Template:		 oceanwp
Version:		 1.0.0
Text Domain:	 oceanwp-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
body{overflow: hidden;} /* permet de bloquer l'ascenceur horizontal sur mobile qui s'affiche à cause des animations left & right */
.clearBoth{clear:both !important;height:0px !important; overflow: hidden !important;border:none !important;padding:0 !important;margin:0 !important;}
.bold500{font-weight: 500 !important;}
.bold500 a{font-weight: 500 !important;}

.siteMobile{display:none !important;}
.siteClassique{display:block !important;}
@media screen and (max-width: 1024px){
	.siteMobile{display:block !important;}
	.siteClassique{display:none !important;}
}
/********************************************************************************/
/* elementor  */
/********************************************************************************/
.elementor-text-editor h2{color:inherit ;}
.elementor-text-editor h3{color:inherit ;}
.elementor-text-editor h4{color:inherit ;}
.elementor-text-editor a{text-decoration: underline !important;color:inherit ;}
.elementor-text-editor a:hover, .elementor-text-editor a:focus{text-decoration: underline dotted !important;color:inherit ;}
.elementor-tab-content h3{color:inherit ;}
.elementor-tab-content h4{color:inherit ;}
.elementor-tab-content h5{color:inherit ;}
.elementor-tab-content h6{color:inherit ;}
.elementor-tab-content a{text-decoration: underline !important;color:inherit ;}
.elementor-tab-content a:hover, .elementor-text-editor a:focus{text-decoration: underline dotted !important;color:inherit ;}
.elementor-widget-text-editor a{text-decoration: underline !important;color:inherit  !important;}
.elementor-widget-text-editor a:hover, .elementor-widget-text-editor a:focus{text-decoration: underline dotted !important;color:inherit  !important;}
.elementor-tab-content a:hover, .elementor-tab-content a:focus{text-decoration: underline dotted !important;color:inherit  !important;}
.elementor-tab-content a{text-decoration: underline !important;color:inherit  !important;} 

/********************************************************************************/
/* table press  */
/********************************************************************************/
thead > tr > th {padding : 10px !important; background-color: black !important; color: white !important;}
tbody > tr > td {padding : 10px !important;}
tbody > tr > .column-1{background-color: #f1f1f1 !important;}

/* ******************************************************************* */
/* fil d'ariane */
/* ********************************************************************/
/* Rank Math SEO */
/*.site-breadcrumbs {color:white;font-size:1.3rem;line-height: 1.5rem;text-align:left;font-style:italic;position: relative !important;}
	.site-breadcrumbs span{ color:white;font-size:1.3rem;line-height: 1.5rem;text-align:left;font-style:normal;}
	.site-breadcrumbs a{color: #c79e3b;text-decoration:none;font-size:1.3rem;line-height: 1.5rem;font-style:italic;}
	.site-breadcrumbs a:hover{color: #c79e3b !important;text-decoration:underline;} */
/* yoast seo */
#breadcrumbs {color:white;font-size:1.3rem;line-height: 1.5rem;text-align:left;font-style:italic;position: relative !important;}
	#breadcrumbs span{ color:white;font-size:1.3rem;line-height: 1.5rem;text-align:left;font-style:normal;}
	#breadcrumbs a{color: #c79e3b;text-decoration:none;font-size:1.3rem;line-height: 1.5rem;font-style:italic;}
	#breadcrumbs a:hover{color: #c79e3b;text-decoration:underline;} 
.breadcrumbsBlack{color:black !important;}
	.breadcrumbsBlack span{color:black !important;}


/********************************************************************************/
/* header */
/********************************************************************************/
/* logo header 
------------------------------------------ */
#logoHeader {position: absolute;width: 100%;max-width:300px;display: block;top: 0;left: 50%;transform: translate(-50%, 0);z-index: 5;-webkit-transition: all 0.9s ease;-moz-transition: all 0.9s ease;-ms-transition: all 0.9s ease;-o-transition: all 0.9s ease;transition: all 0.9s ease;}
#logoHeader::before {content: "";position: absolute;top: 0;left: 0;width: 100%;height: calc(100% + 100px);background: #c79e3b;z-index: -1;clip-path: polygon(0 0, 100% 0%, 100% 60%, 0% 100%);text-align: center;}
@media screen and (max-width: 1024px){
	#logoHeader{display: none;}
	/* #logoHeader::before {height:calc(100% + 40px);clip-path: polygon(0 0, 100% 0%, 100% 80%, 0% 100%);}*/
}
/* tel 
------------------------------------------ */
.telHeader{margin-left:15px !important;}
.telHeader a{padding:5px 15px;background: #c79e3b;color: white !important;font-weight: 700 !important;transition:0s !important;}
.telHeader a:hover{color: black !important;}
/* headerMenu 
------------------------------------------ */
#headerMenu ul>li::after{content: "";transition: .3s;position: absolute;left: 0;right: 0;margin: auto;bottom: -7px;width: 0;background-color: #c79e3b;height: 7px;z-index: 9;border: 0;}
#headerMenu ul>li:hover::after{width: 55px;}
#headerMenu ul>.current-menu-item::after {width: 55px !important;}
@media screen and (max-width: 1024px){
	#headerMenu ul>li:hover::after{width: 0;}
	#headerMenu ul>.current-menu-item::after {width: 0 !important;}
}

@media screen and (max-width: 1024px){
	/* debug menu elementor sur version mobile : impossible de scroller correctement verticalement pour afficher toutes les pages se trouvant dans le menu déroulant quand il y a beaucoup de page et quand on est sur la version mobile */ 
	#headerMenu nav{overflow-y: auto !important;max-height: calc(100vh - 78px) !important;}
}

/********************************************************************************/
/* footer */
/********************************************************************************/
/* btn */
#btnContactFooter{background: #ffde00;color: black !important;}
#btnContactFooter:hover{background: #ee2952;color: black !important;}


/********************************************************************************/
/* call to action */
/********************************************************************************/
/* call to action aide de l'état */
.ctaAideEtat .elementor-cta__content{align-content:flex-start;}
.ctaAideEtat .elementor-widget-container{overflow:visible !important;}
.ctaAideEtat .elementor-cta{overflow:visible !important;}
.ctaAideEtat .elementor-cta__content{overflow:visible !important;}
.ctaAideEtat .elementor-cta__button-wrapper{position: absolute;bottom: -20px;left: 0;}

/********************************************************************************/
/* barre inférieure */
/********************************************************************************/
/* copyright */
#copyright{font-size: 1.5rem;}

/********************************************************************************/
/* woocommerce */
/********************************************************************************/
.cart .single_add_to_cart_button{color:white !important;}
.woocommerce div.product .woocommerce-tabs .panel h2:first-child{font-size: 30px !important;margin:0 !important; font-weight:600 !important;}
@media screen and (max-width: 768px){
	.woocommerce div.product .woocommerce-tabs .panel h2:first-child{font-size: 28px !important;}
}
@media screen and (max-width: 768px){
	.woocommerce div.product .woocommerce-tabs .panel h2:first-child{font-size: 25px !important;}
}

/* page panier */
.woocommerce table.shop_table td {text-transform: none !important;}
.woocommerce #order_review table tfoot th {text-transform: none !important;}
.woocommerce-cart .cart-collaterals .cart_totals .order-total td span.woocommerce-Price-amount.amount{font-size: inherit !important;padding: 0 !important;vertical-align: top !important;}

/* page commander */
/*
.woocommerce-checkout > .col2-set{float: none !important; width: 100% !important;}
.woocommerce #order_review table.shop_table tbody td.product-name {width: 50% !important;}
.woocommerce #order_review table.shop_table ul#shipping_method.woocommerce-shipping-methods{padding-bottom: 0 !important;}
.woocommerce #order_review .woocommerce-shipping-contents{margin-bottom: 0 !important;}
.woocommerce #order_review #shipping_method label{width:100%;text-align: right;}
.woocommerce-checkout h3#order_review_heading{float: none !important; width: 100% !important;}
.woocommerce-checkout #order_review{float: none !important; width: 100% !important;}
	.woocommerce #order_review table.shop_table td{padding: 10px !important;}
	.woocommerce table.shop_table dl{margin-top:0 !important;}
	*/

/* page produit */
.woocommerce .elementor-tab-content ul{list-style:disc !important;margin-left: 40px !important;margin-bottom: 20px !important; }
.woocommerce .elementor-text-editor ul{list-style:disc !important;margin-left: 40px !important;margin-bottom: 20px !important; }

/* sitemap */
.woocommerce .product-categories{list-style:disc !important;margin-left: 40px !important;margin-bottom: 20px !important; }
.woocommerce .product-categories .children{list-style:disc !important;margin-left: 40px !important;margin-bottom: 20px !important; }
.woocommerce .product-categories a{padding-left: 0 !important;}
.woocommerce .product-categories a::before{display: none !important;}

/* liste des produit */
.woocommerce .title h2{margin: 0;}
.woocommerce .title h2 a{font-size: 2.0rem !important;}
.woocommerce .sousTitle{font-size: 1.8rem;}
.woocommerce .woocommerce-LoopProduct-link{display: block;}

/* formulaire de connexion */
.account-original-style .woocommerce #customer_login .col-1 .form-row{width: 100% !important;}
.account-original-style .woocommerce #customer_login .col-2{padding-bottom: 60px !important;}
.woocommerce button.button{float: right !important;} /* bouton connexion */ 
.account-original-style .woocommerce #customer_login .lost_password{float: none !important;text-align: right !important;} /* bouton mdp oublié */

/********************************************************************************/
/* Gravity forms : souligner les liens
/********************************************************************************/
.gform_wrapper label a{text-decoration: underline;}


/********************************************************************************/
/* related post */
/********************************************************************************/
#related-posts .theme-heading{font-family:inherit;}

/********************************************************************************/
/* PRINT */
/********************************************************************************/
@media print {
	html, body {background: none;}
	/* header footer */
	#masthead, #colophon{display: none;}
	/*#header, #footer, #footer-top,  #back_top{display: none;}
	.container, .row, #main, #primary, .entry-content, .page, .elementor, .elementor-inner, .elementor-section-wrap, .elementor-element, .elementor-container, .elementor-row{left:0 !important;right:0 !important;display:block !important;position:relative !important; max-width:100% !important;width:100% !important;padding: 0 !important;margin:0 !important;}
	[class^='elementor']{
		left:0 !important;right:0 !important;display:block !important;position:relative !important; max-width:100% !important;width:100% !important;padding: 0 !important;margin:0 !important;
	}*/
}